No debug logging with Foreman 1.18 RC3
Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Logging   

Target version: 1.18.1   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: Yes Found in Releases: 1.18.0-RC3

Bugzilla link: 1698943 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5792

  

Description

I enabled debug logging and get only information messages in production.log.  I touched restart.txt several times and still the logging

is not taking effect.

:logging:

  :level: debug

  :production:

    :type: file

    :layout: pattern

# Individual logging types can be toggled on/off here

:loggers:

  :app:

    :enabled: true

  :sql:

    :enabled: true

 
2018-07-06T09:37:16 [I|app|] Started GET "/node/foreman-test.DOMAIN?format=yml" for 10.20.0.26 at 

2018-07-06 09:37:16 -0400

2018-07-06T09:37:16 [I|app|ec21f] Processing by HostsController#externalNodes as YML

2018-07-06T09:37:16 [I|app|ec21f]   Parameters: {"name"=>"foreman-test.DOMAIN"}

2018-07-06T09:37:16 [I|app|ec21f] Current user: foreman_api_admin (administrator)

2018-07-06T09:37:17 [I|app|ec21f]   Rendering text template

2018-07-06T09:37:17 [I|app|ec21f]   Rendered text template (0.0ms)

2018-07-06T09:37:17 [I|app|ec21f] Completed 200 OK in 1467ms (Views: 1.2ms | ActiveRecord: 867.0ms

)

Related issues:

Related to Foreman - Feature #16218: Add possibility to override log configur... Closed 08/22/2016

Associated revisions

Revision b0b46844 - 07/12/2018 08:47 AM - Lukas Zapletal

Fixes #24185 - logging env override config fixed (#5792)

History

#1 - 07/07/2018 01:39 PM - Tomer Brisker

- Category set to Logging

- translation missing: en.field_release set to 330

#2 - 07/09/2018 11:20 AM - Lukas Zapletal

- Related to Feature #16218: Add possibility to override log configuration for test environment added

#3 - 07/09/2018 11:44 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/5792 added

#4 - 07/09/2018 01:09 PM - Marek Hulán

Which file are you changing? Also could you try restarting the whole httpd service? Also note it should be tmp/restart.txt which is touched (not sure if

that still works though)

#5 - 07/09/2018 01:10 PM - Marek Hulán

Oh I see it has been already reproduced, please ignore my comment.

#6 - 07/09/2018 03:06 PM - Lukas Zapletal

- Triaged changed from No to Yes

Yeah, bot could have set Triaged as well perhaps.

#7 - 07/10/2018 10:30 AM - Marek Hulán

This does not seem to be 1.18 regression, the introducing commit was merged in 1.14. It should be possible to just move production configuration to

one level above under :logging and it should work just fine.

#8 - 07/11/2018 04:11 PM - Trey Dockendorf

Using the documented method for debug logging works just fine:

:logging:

  :level: debug

 I don't know where I got the idea to use the production key, maybe something from older version of Foreman that's no longer valid.

#9 - 07/12/2018 06:40 AM - Ondřej Pražák

- Target version changed from 1.18.0 to 1.18.1

#10 - 07/12/2018 09:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b0b46844626a27b6d67f6aef1f67695af103b47a.

#11 - 07/12/2018 02:23 PM - Lukas Zapletal

I think it was in example (commented), it is supposed to work and it had a bug. Fixed.

#12 - 08/29/2018 03:12 PM - Tomer Brisker

- Fixed in Releases 1.19.0 added

#13 - 04/11/2019 01:43 PM - Lukas Zapletal

- Bugzilla link set to 1698943
